using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ScsMinimapper.Dialogs {
	public partial class ProgressDialog : Form {
		public int NumItems {
			set { progressBar.Maximum = value; }
		}

		public event EventHandler Cancelled;

		public ProgressDialog() {
			InitializeComponent();
		}

		public void SetItem(int num, string name) {
			if (name == null) {
				progressLabel.Text = "Done";
			} else {
				progressLabel.Text = "Processing " + name;
			}
			progressBar.Value = num;
		}

		private void cancelButton_Click(object sender, EventArgs e) {
			if (Cancelled != null) {
				Cancelled(this, new EventArgs());
			}
		}
	}
}