using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Alpine terrain colours
	/// </summary>
	class AlpineTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(72, 60, 42);
				case 1: return Color.FromArgb(82, 103, 70);
				case 3: return Color.FromArgb(57, 88, 44);
				case 4: return Color.FromArgb(70, 79, 42);
				case 5: return Color.FromArgb(82, 103, 70);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(72, 74, 62);
				case 10: return Color.FromArgb(82, 103, 70);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(142, 126, 119);
				case 14: return Color.FromArgb(56, 71, 116);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(88, 72, 54);
				case 1: return Color.FromArgb(86, 98, 66);
				case 3: return Color.FromArgb(57, 79, 42);
				case 4: return Color.FromArgb(70, 79, 42);
				case 5: return Color.FromArgb(83, 75, 68);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(102, 66, 31);
				case 9: return Color.FromArgb(72, 74, 62);
				case 10: return Color.FromArgb(72, 74, 62);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(142, 126, 119);
				case 14: return Color.FromArgb(56, 68, 80);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
