using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Lush terrain colours
	/// </summary>
	class LushTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(115, 97, 63);
				case 1: return Color.FromArgb(65, 83, 35);
				case 3: return Color.FromArgb(94, 95, 42);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(65, 83, 35);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(135, 117, 95);
				case 10: return Color.FromArgb(135, 117, 95);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(105, 105, 105);
				case 14: return Color.FromArgb(56, 68, 80);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(104, 75, 49);
				case 1: return Color.FromArgb(78, 91, 44);
				case 3: return Color.FromArgb(98, 95, 54);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(105, 105, 105);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(102, 66, 31);
				case 9: return Color.FromArgb(135, 117, 95);
				case 10: return Color.FromArgb(78, 91, 44);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(65, 83, 35);
				case 14: return Color.FromArgb(53, 65, 77);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
